#!/usr/bin/perl

############################################
##                                        ##
##                 WebBBS                 ##
##           by Darryl Burgdorf           ##
##                                        ##
##           Configuration File           ##
##                                        ##
############################################

## (1) Define the location of your files:

require "/usr/www/cgi-bin/webbbs.pl";

$dir = "/usr/www/board";
$cgiurl = "http://foo.com/board/config.pl";

## (2) Tailor the appearance and functionality of your BBS:

$bodyspec = "BGCOLOR=\"#ffffff\" TEXT=\"#000000\"";

$HeadLinesFile = "";
$HeaderFile = "/usr/www/header.txt";
$FooterFile = "/usr/www/footer.txt";

$MessageHeaderFile = "";
$MessageFooterFile = "";

$DefaultType = "";
$DefaultTime = "";

$boardname = "WebBBS Discussion Board";

$InputColumns = 80;
$InputRows = 15;

$HourOffset = 0;

$ArchiveOnly = 0;
$AllowHTML = 0;
$AutoQuote = 0;
$SingleLineBreaks = 0;

$UseCookies = 1;
require "/usr/www/cgi-bin/cookie.lib";

$UseAdmin = 0;

$Max_Days = 30;
$Max_Messages = 500;

$ArchiveDir = "";

## (3) Define your visitors' capabilities:

$AllowUserDeletion = 0;
$AllowEmailNotices = 0;
$AllowPreview = 1;

$AllowURLs = 0;
$AllowPics = 0;

$NaughtyWords = "";

## (4) Define your e-mail notification features:

$mailprog = '/usr/sbin/sendmail';
$maillist_address = "webbbs\@foo.com";
$email_list = 1;

$HeaderOnly = 0;
$AdminEmail = 0;

&WebBBS;

## (5) If necessary, set up the WebAdverts configuration subroutine

sub insertadvert {
	require "/full/path/to/ads_display.pl";
	$adverts_dir = "/full/path/to/ads";
	$display_cgi = "http://foo.com/ads/ads.pl";
	$advertzone = $_[0];
	$ADVUseLocking = 1;
	$ADVLogIP = 0;
	$NonSSI = 0;
	$DefaultBanner = "";
	$ADVNoPrint = 1;
	&ADVsetup;
}

